# OpenLayers.Layer.Bing

Bing layer using direct tile access as provided by Bing Maps REST Services. See http://msdn.microsoft.com/en-us/library/ff701713.aspx for more information. Note: Terms of Service compliant use requires the map to be configured with an OpenLayers.Control.Attribution control and the attribution placed on or near the map.

#### Inherits from

- OpenLayers.Layer.XYZ

Summary

OpenLayers.Layer.Bing | Bing layer using direct tile access as provided by Bing Maps REST Services.
Properties |
type | {String} The layer identifier.
culture | {String} The culture identifier.
metadataParams | {Object} Optional url parameters for the Get Imagery Metadata request as described here: http://msdn.microsoft.com/en-us/library/ff701716.aspx
tileOptions | {Object} optional configuration options for OpenLayers.Tile instances created by this Layer.
protocol | {String} Protocol to use to fetch Imagery Metadata, tiles and bing logo Can be ‘http:’ ‘https:’ or ‘’
Constructor |
OpenLayers.Layer.Bing | Create a new Bing layer.
Functions |
clone |

### Properties

### type

{String} The layer identifier. Any non-birdseye imageryType from http://msdn.microsoft.com/en-us/library/ff701716.aspx can be used. Default is “Road”.

### culture

{String} The culture identifier. See http://msdn.microsoft.com/en-us/library/ff701709.aspx for the definition and the possible values. Default is “en-US”.

### metadataParams

{Object} Optional url parameters for the Get Imagery Metadata request as described here: http://msdn.microsoft.com/en-us/library/ff701716.aspx

### tileOptions

{Object} optional configuration options for OpenLayers.Tile instances created by this Layer. Default is

>     {crossOriginKeyword: 'anonymous'}

### protocol

{String} Protocol to use to fetch Imagery Metadata, tiles and bing logo Can be ‘http:’ ‘https:’ or ‘’

Warning: tiles may not be available under both HTTP and HTTPS protocols. Microsoft approved use of both HTTP and HTTPS urls for tiles. However this is undocumented and the Imagery Metadata API always returns HTTP urls.

Default is ‘’, unless when executed from a file:/// uri, in which case it is ‘http:’.

### Constructor

### OpenLayers.Layer.Bing

Create a new Bing layer.

#### Example

>     var road = new OpenLayers.Layer.Bing({
>         name: "My Bing Aerial Layer",
>         type: "Aerial",
>         key: "my-api-key-here",
>     });

#### Parameters

options | {Object} Configuration properties for the layer.

#### Required configuration properties

key | {String} Bing Maps API key for your application. Get one at http://bingmapsportal.com/.
type | {String} The layer identifier. Any non-birdseye imageryType from http://msdn.microsoft.com/en-us/library/ff701716.aspx can be used.

Any other documented layer properties can be provided in the config object.

### Functions

### clone

> clone: function( | obj | )

#### Parameters

obj | {Object}

#### Returns

{OpenLayers.Layer.Bing} An exact clone of this OpenLayers.Layer.Bing

> clone: function( | obj | )

The attribution control adds attribution from layers to the map display.
The XYZ class is designed to make it easier for people who have tiles arranged by a standard XYZ grid.
Create a new Bing layer.
Close